<?php

error_reporting(E_NONE);

define('_PROJECT_DIR', getcwd() . '/../../'); // Директория проекта, относительно неё строится всё остальное
define('_ROOT_DIR', getcwd() . '/');       // Директория где точка входа (index.php)
define('_SHOP_DIR', getcwd() . '/../');      // Директория где точка входа в магазин (index.php)

const _ENGINE_DIR = _PROJECT_DIR . 'engine/';   // Директория с движкой
const _SITE_PATH = 'admin/';                          // Если index.php внутри какого-то пути http, например admin/
const _BASE_DIR = _ENGINE_DIR . 'admin/';         // Базовая директория, внутри которой модули и шаблоны

const __REAL_CAT_OBJ_ = '_sys_cat_admin';

header("Content-type: text/html; charset=utf-8");

require_once(_ENGINE_DIR . 'bootstrap.php');

if (!$auth->is_login()) {
    die('NO_AUTH');
}

$file = $_FILES['file'];
if ($file) {
    $pref = time();
    move_uploaded_file($file['tmp_name'], _FILES_DIR_ . '/upload/' .$pref . '_' . $file['name']);
    die('{"filelink":"/files/upload/' . $pref . '_'. $file['name'] . '", "filename":"'.$file['name'].'"}');
} else {
    $files = scandir(_FILES_DIR_ . '/upload/');
    foreach($files as $filename) {

        if (!in_array($filename, ['.','..'])) {
            $result[] = ['title' => $filename, 'name' => '', 'link' => _SHOP_ROOT_ . 'files/upload/' . $filename, 'size' => (nf(filesize(_FILES_DIR_ . 'upload/' . $filename) / 1024) . ' Кб') ];
        }
    }
    die(json_encode($result));
}
